---
- name: "Post-upgrade | stop kubelet on all masters"
  service:
    name: kubelet
    state: stopped
  delegate_to: "{{item}}"
  with_items: "{{groups['kube-master']}}"
  when: needs_etcd_migration|bool

- name: "Post-upgrade | Pause for kubelet stop"
  pause:
    seconds: 10
  when: needs_etcd_migration|bool

- name: "Post-upgrade | stop kubelet on all masters"
  service:
    name: kubelet
    state: started
  delegate_to: "{{item}}"
  with_items: "{{groups['kube-master']}}"
  when: needs_etcd_migration|bool

- name: "Post-upgrade | etcd3 upgrade | purge etcd2 k8s data"
  command: "{{ bin_dir }}/etcdctl --endpoints={{ etcd_access_addresses }} rm -r /registry"
  environment:
    ETCDCTL_API: 2
  delegate_to: "{{groups['etcd'][0]}}"
  run_once: true
  when: kube_apiserver_storage_backend == "etcd3" and  needs_etcd_migration|bool|default(false)
